﻿
@using NacGroup.Module.Core.Services

@inject IMenuConfigService MenuConfigService
@inject IGettingGlobalConfigService GettingGlobalConfigService
@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();
    var favicon = globalConfig.GlobalThemeConfig["Data"][1]["Src"];
    var customJs = globalConfig.GlobalWebSetting["WebsiteConfig"]["CustomizeJs"]?.ToString();
    var customCss = globalConfig.GlobalWebSetting["WebsiteConfig"]["CustomizeCss"]?.ToString();
}
<!DOCTYPE html>
<html lang="vi-VN" itemscope itemtype="http://schema.org/website" class="no-js">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no,maximum-scale=1, user-scalable=no">

    @*<link href="~/Templates/Website/global/fonts/fonts.css" rel="stylesheet" />*@
    <!-- S.E.O -->
    <title> @ViewData["MetaTitle"] </title>
    <meta name="description" content="@ViewData["MetaDescription"]?.ToString()" />
    <meta name="keywords" content="@ViewData["MetaKeyword"]?.ToString()" />

    <meta property="og:title" content="@ViewData["MetaTitle"]?.ToString()" />
    <meta property="og:description" content="@ViewData["MetaDescription"]?.ToString()" />
    <meta itemprop="thumbnailUrl" property="og:image" content="@ViewData["MetaThumnailFacebook"]" />
    <meta itemprop="image" content="@ViewData["MetaThumnailFacebook"]" />

    <link rel="shortcut icon" href="@favicon" type="image/x-icon">
    <link rel="icon" href="@favicon" type="image/x-icon">
    <!-- End S.E.O -->
    @RenderSection("MetaSocial", false)
    @RenderSection("Style", false)

    @*@Html.Action("Seo", "Shared")
        @Html.Action("Custom", "Shared", new { key = "css" })*@
    @if (!string.IsNullOrEmpty(customCss))
    {
        <style>
            @Html.Raw(customCss)
        </style>
    }

    @if (globalConfig.GlobalWebSetting["SeoConfig"]["WebmasterTool"] != null)
    {
        <meta name="google-site-verification" content="@globalConfig.GlobalWebSetting["SeoConfig"]["WebmasterTool"]" />
    }
    @if (globalConfig.GlobalWebSetting["SeoConfig"]["GoogleAnalytic"] != null)
    {
        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async src="https://www.googletagmanager.com/gtag/js?id=@(globalConfig.GlobalWebSetting["SeoConfig"]["GoogleAnalytic"])"></script>
        <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());

            gtag('config', '@(globalConfig.GlobalWebSetting["SeoConfig"]["GoogleAnalytic"])');
        </script>
    }
</head>

<body>
    <div id="fb-root"></div>
    <script async defer crossorigin="anonymous" src="https://connect.facebook.net/vi_VN/sdk.js#xfbml=1&version=v8.0" nonce="Y5w4K8n8"></script>
    @await Component.InvokeAsync(typeof(NacGroup.Themes.BlogNews.Views.Shared.Components.Header.HeaderViewComponent))
    @RenderBody()
    @await Component.InvokeAsync(typeof(NacGroup.Themes.BlogNews.Views.Shared.Components.Footer.FooterComponent))
    <div id="loading" class="loading">
        <svg version="1.1" class="svg-loader" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="100px" height="100px" viewBox="0 0 40 40" enable-background="new 0 0 40 40" xml:space="preserve">
        <path opacity="0.2" d="M20.201,5.169c-8.254,0-14.946,6.692-14.946,14.946c0,8.255,6.692,14.946,14.946,14.946 s14.946-6.691,14.946-14.946C35.146,11.861,28.455,5.169,20.201,5.169z M20.201,31.749c-6.425,0-11.634-5.208-11.634-11.634 c0-6.425,5.209-11.634,11.634-11.634c6.425,0,11.633,5.209,11.633,11.634C31.834,26.541,26.626,31.749,20.201,31.749z"></path>
        <path d="M26.013,10.047l1.654-2.866c-2.198-1.272-4.743-2.012-7.466-2.012h0v3.312h0 C22.32,8.481,24.301,9.057,26.013,10.047z">
        <animateTransform attributeType="xml" attributeName="transform" type="rotate" from="0 20 20" to="360 20 20" dur="0.5s" repeatCount="indefinite"></animateTransform>
            </path>
        </svg>
    </div>
    @RenderSection("Script", false)
    @if (!string.IsNullOrEmpty(customJs))
    {
        @Html.Raw(customJs)
    }

    <script src="https://images.dmca.com/Badges/DMCABadgeHelper.min.js"></script>
</body>
</html>

